EUSCALE-TERMINATE-INSTANCE-IN-AUTO-SCALING-GROUP(1)

NAME
euscale-terminate-instance-in-auto-scaling-group - Manually terminate an auto-scaling instance

SYNOPSIS
euscale-terminate-instance-in-auto-scaling-group (-d | -D)

[--show-long]
    [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] INSTANCE

DESCRIPTION
Manually terminate an auto-scaling instance

  positional arguments:

INSTANCE
    ID of the instance to terminate (required)

  optional arguments:

-d, --decrement-desired-capacity
    also reduce the desired capacity of the auto-scaling group by 1

-D, --no-decrement-desired-capacity
    leave the auto-scaling group's desired capacity as-is. A new instance may be launched to compensate for the one being terminated.

--show-long
    show extra info about the instance being terminated

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    auto-scaling service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit